Edit a Package Product
curl --request PUT \
--url https://api.example.com/{supplierapi}/package/{productPricesDetailId}/option/{optionId}/product/{packageProductId}import requests
url = "https://api.example.com/{supplierapi}/package/{productPricesDetailId}/option/{optionId}/product/{packageProductId}"
response = requests.put(url)
print(response.text)const options = {method: 'PUT'};
fetch('https://api.example.com/{supplierapi}/package/{productPricesDetailId}/option/{optionId}/product/{packageProductId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/{supplierapi}/package/{productPricesDetailId}/option/{optionId}/product/{packageProductId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/{supplierapi}/package/{productPricesDetailId}/option/{optionId}/product/{packageProductId}"
req, _ := http.NewRequest("PUT", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.example.com/{supplierapi}/package/{productPricesDetailId}/option/{optionId}/product/{packageProductId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/{supplierapi}/package/{productPricesDetailId}/option/{optionId}/product/{packageProductId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
response = http.request(request)
puts response.read_bodyVersion 1
Edit a Package Product
Edit a Package Product
Edits the given Package Product
Response
204 on success
PUT
/
{supplierapi}
/
package
/
{productPricesDetailId}
/
option
/
{optionId}
/
product
/
{packageProductId}
Edit a Package Product
curl --request PUT \
--url https://api.example.com/{supplierapi}/package/{productPricesDetailId}/option/{optionId}/product/{packageProductId}import requests
url = "https://api.example.com/{supplierapi}/package/{productPricesDetailId}/option/{optionId}/product/{packageProductId}"
response = requests.put(url)
print(response.text)const options = {method: 'PUT'};
fetch('https://api.example.com/{supplierapi}/package/{productPricesDetailId}/option/{optionId}/product/{packageProductId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/{supplierapi}/package/{productPricesDetailId}/option/{optionId}/product/{packageProductId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/{supplierapi}/package/{productPricesDetailId}/option/{optionId}/product/{packageProductId}"
req, _ := http.NewRequest("PUT", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.example.com/{supplierapi}/package/{productPricesDetailId}/option/{optionId}/product/{packageProductId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/{supplierapi}/package/{productPricesDetailId}/option/{optionId}/product/{packageProductId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
response = http.request(request)
puts response.read_bodyPath Parameters
ProductPricesDetail to be linked to the PackageProduct.
The ID of the Package Option
The ID of the Package Product
Pattern:
supplier|apiv1/supplierQuery Parameters
Quantity of the ProductPricesDetail to be included. Defaults to 1.
Sort ordering for the PackageProduct. The ordering for other PackageProducts will be adjusted as necessary to accommodate new PackageProduct's ordering.
Amount to add onto package's base RRP if this Package Product is selected. If null, the difference between the RRP for this product and the RRP for the cheapest product in the option will be used. Must be null for the cheapest product in this package option.
Response
Returned when successful.